<?php

/*  
  
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

  
	Autores version mexicana : 
	                           Matias Fertilio
	                           Ernesto Perez
				   
	Fecha Liberación del código: 20/04/2010
	CodeKa Mx 2010			 
	
	*/

define('FPDF_FONTPATH','font/');
require_once ('fpdf.php') ; 
include("comunesordenproceso.php");
include ("../conectar.php");
include ("../funciones/fechas.php"); 
//include ("Numbers/Words.php");


$pdf=new PDF();
$pdf->Open();
$pdf->AddPage();
//*******************logo y datos de la empresa**********
//$pdf->Header('logo/logo.jpg',10,8,33,33);

$pdf->Ln();    

if ($fondofac=="SI")$pdf->Header('logo/orden_en_proceso.jpg',0,0,205,295);

$parametros = "Select * from  web_0000";
$datos = mysql_query($parametros);

// ***** comparacion de datos entre tablas****

$numord=$_GET["numord"];


$consulta1 = "Select * from orden_trabajo where numord = $numord";
$tabla = mysql_query($consulta1);
$cdgcli=mysql_result($tabla,0,"cdgcli");

$dsccli=mysql_result($tabla,0,"dsccli");
$dircli=mysql_result($tabla,0,"dircli");
$corcli=mysql_result($tabla,0,"corcli");
$numtel=mysql_result($tabla,0,"numtel");
$fecha=mysql_result($tabla,0,"fecrec");
$dscart=mysql_result($tabla,0,"dscart");
$modart=mysql_result($tabla,0,"modart");
$serart=mysql_result($tabla,0,"serart");
$obsart=mysql_result($tabla,0,"obsart");
$monade=mysql_result($tabla,0,"monade");
$cdgusu=mysql_result($tabla,0,"cdgusu");
$canart=mysql_result($tabla,0,"canart");


	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',12);	

//****fecha y numero de recibo****///	
	$pdf->Ln(10);
	$pdf->Cell(150);
	$pdf->Cell(10,4,$fecha,0,0,'L',0);
	$pdf->Cell(5);
	$pdf->Cell(12,4,$dia1,0,0,'L',0);
	$pdf->Cell(12,4,$mes1,0,0,'L',0);
	$pdf->Cell(10,4,$ano1,0,0,'L',0);
	
	$pdf->Ln(15);
	$pdf->Cell(160);
	$pdf->Cell(10,4,$numord,0,0,'L',0);
	
//****datos del encabezado****///		
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',12);
	
	$pdf->SetY(39);	
	$pdf->Ln(-18);
	$pdf->Cell(61);
    $pdf->Cell(10,4,mysql_result($datos,0,"nomcom"),0,0,'L',0);
	
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);
	
	
	$cedula=mysql_result($datos,0,"cedjur");
	$cedula_con= "Cedula Jurídica ". $cedula;
	
	$pdf->SetY(23);	
	$pdf->Ln(6);
	$pdf->Cell(72);
    $pdf->Cell(10,4,$cedula_con,0,0,'L',0);

	  $pdf->SetFont('Arial','B',8);
	
	$pdf->SetY(27);	
	$pdf->Ln(6);
	$pdf->Cell(61);
    $pdf->Cell(10,4,mysql_result($datos,0,"diremp"),0,0,'L',0);
	
	$pdf->SetFont('Arial','B',8);
		  
	$pdf->SetY(33);	
	$pdf->Ln(6);
	$pdf->Cell(73);
    $pdf->Cell(10,4,"Teléfonos: ". mysql_result($datos,0,"numtel"),0,0,'L',0);
	
		$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);
		
//****datos de cliente****///		
	$pdf->SetY(38);	
	$pdf->Ln(12);
	$pdf->Cell(35);
    $pdf->Cell(100,6,$dsccli,0,0,'L',0);
	
	$pdf->SetY(42);	
	$pdf->Ln(12);
	$pdf->Cell(35);
    $pdf->Cell(35,8,$dircli,0,0,'L',0);     

	$pdf->SetY(49);	
	$pdf->Ln(12);
	$pdf->Cell(35);
    $pdf->Cell(35,8,$corcli,0,0,'L',0);                              
	
	$pdf->Ln(0);
	$pdf->Cell(125);
    $pdf->Cell(35,8,"Teléfono: ".$numtel,0,0,'L',0); 
	
	//$pdf->Ln(0);
	//$pdf->Cell(165);
    //$pdf->Cell(35,8,mysql_result($resultado,0,"vehpla"),0,0,'L',0);                                       
  //  $fecha = implota($lafila["fecha"]);
//	$pdf->Cell(60);
	//$pdf->Cell(10,4,$dia1,0,0,'L',0);
	//$pdf->Cell(10,4,$mes1,0,0,'L',0);
//	$pdf->Cell(15,4,$ano1,0,0,'L',0);
	
		
	//Calculamos la provincia
	//$codigoprovincia=$lafila["codprovincia"];
	//$consulta="select * from provincias where codprovincia='$codigoprovincia'";
	//$query=mysql_query($consulta);
	//$row=mysql_fetch_array($query);
//	$pdf->Ln(8);
//	$pdf->Cell(23);
//	$pdf->Cell(80,10,mysql_result($resultado,0,"dircli"),0,0,'L',0);
	
	
	//$pdf->Ln(14);	
	
	//$pdf->Ln(5);
	//$pdf->Cell(20);
    //$pdf->Cell(40,4,$lafila["localidad"],0,0,'L',0);
			
			
    //ahora mostramos las lneas de la factura
			$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);	
	
	
	$pdf->SetY(90);	
	
			

    
	
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);	
	
	
	// Parametro global Cantidad de filas en el detalle
	
		  
	//Calculamos los valores del final de la factura
	
	$pdf->SetY(80);	
	$pdf->Cell(3);
    $pdf->Cell(32,5,$canart,0,0,'C',0);  //**numero de factura**//
	$pdf->Ln(6);

	$pdf->SetY(80);
	$pdf->Cell(25);
	//$pdf->Cell(1,4,$lafila["iva"] ." %",0,0,'R',0);
	$pdf->Cell(32,5,$dscart,0,0,'L',50);	   //**fecha de factura**//
	$pdf->Ln(6);
		

	
	$pdf->SetY(80);
	$pdf->Cell(120);
	$pdf->Cell(32,5,$modart,0,0,'C',0); //**abono**
	 
	$pdf->Ln(6);//**monto anterior
	
	
	$pdf->SetY(80);
	$pdf->Cell(153);
	$pdf->Cell(32,5,$serart,0,0,'C',0); //**abono**
	$pdf->Ln(6);
	
	$pdf->SetY(93);
	$pdf->Cell(10);
	$pdf->Cell(32,5,$obsart,0,0,'C',150);	
	$pdf->Ln(6);
	
	$pdf->SetFillColor(255,255,255);	
    $pdf->SetTextColor(11,4,4);
    $pdf->SetDrawColor(0,0,0);
    $pdf->SetLineWidth(.2);
    $pdf->SetFont('Arial','B',10);	

	

	$pdf->SetY(109);	
	$pdf->Cell(148);
	$pdf->Cell(32,5,number_format(($monade),2,".",","),0,0,'R',0);
	$pdf->Ln(6);
		
    $pdf->SetY(114);	
	$pdf->Cell(148);
    $pdf->Cell(32,5,$cdgusu,0,0,'R',0);
	$pdf->Ln(7);
	
	//Calculamos de numero a palabras
	//$nw = new Numbers_Words();
	 $pdf->SetY(130);	
	$pdf->Cell(37);
    $pdf->Cell(32,5,mysql_result($datos,0,"nomcom"),0,0,'R',0);
	$pdf->Ln(8);
	
	 $pdf->SetY(134);	
	$pdf->Cell(20);
    $pdf->Cell(32,5,"Firma y Sello",0,0,'R',0);
	$pdf->Ln(8);
	
	 $pdf->SetY(128);	
	$pdf->Cell(143);
    $pdf->Cell(32,5,$dsccli,0,0,'R',0);
	$pdf->Ln(8);
	
		 $pdf->SetY(134);	
	$pdf->Cell(138);
    $pdf->Cell(32,5,"Recibido Conforme",0,0,'R',0);
	$pdf->Ln(8);
	
	
	$pdf->SetY(148);
	$pdf->Cell(15);
	
	//Modificamos esta parte para que también muestra la parte fraccionaria y M.N.
	//$decimales = explode(".",$total);	
	//$pdf->Cell(35,4,strtoupper($nw->toWords(round($total,0), "es") ." pesos ".$decimales[1]."/100 M.N."),0,0,'L',0);
	//$pdf->Cell(40,4,strtoupper($nw->toWords($decimales[0], "es") ." pesos ".$decimales[1]."/100 M.N."),0,0,'L',0);
	
		
     
	  
      $pdf->Output($name=("Orden.pdf"),'I');


?>